Package org.apache.tomcat.jni

## Class LibraryNotFoundError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.LinkageError
      - - java.lang.UnsatisfiedLinkError
        - - org.apache.tomcat.jni.LibraryNotFoundError

All Implemented Interfaces:
  `Serializable`

    public class LibraryNotFoundError
    extends UnsatisfiedLinkError

See Also:
  Serialized Form

### Constructor Summary

Constructors
`LibraryNotFoundError​(String libraryNames, String errors)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLibraryNames()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LibraryNotFoundError

    public LibraryNotFoundError​(String libraryNames,
                                String errors)

Parameters:
  `libraryNames` - A list of the file names of the native libraries that failed to load
  `errors` - A list of the error messages received when trying to load each of the libraries

### Method Detail

#### getLibraryNames

    public String getLibraryNames()